# PrimitiveMultiList Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveMultiList:
[legend]

List of all members.

## Public Member Functions

| getChoiceValue ()
| getActualChoiceValue ()
| setDefault ($default)
| import ($scope)
| clean ()
| exportValue ()

## Private Attributes

| $selected = array()

## Detailed Description

Definition at line 15 of file PrimitiveMultiList.class.php.

## Member Function Documentation

PrimitiveMultiList::clean | ( |  | ) |

Returns:
  PrimitiveMultiList

Definition at line 91 of file PrimitiveMultiList.class.php.

PrimitiveMultiList::exportValue | ( |  | ) |

Definition at line 98 of file PrimitiveMultiList.class.php.

PrimitiveMultiList::getActualChoiceValue | ( |  | ) |

Reimplemented from PrimitiveList.

Definition at line 24 of file PrimitiveMultiList.class.php.

PrimitiveMultiList::getChoiceValue | ( |  | ) |

Reimplemented from PrimitiveList.

Definition at line 19 of file PrimitiveMultiList.class.php.

PrimitiveMultiList::import | ( | $ | scope | ) |

Reimplemented from PrimitiveList.

Definition at line 53 of file PrimitiveMultiList.class.php.

References BasePrimitive::$value, and BasePrimitive::import().

Here is the call graph for this function:

PrimitiveMultiList::setDefault | ( | $ | default | ) |

Returns:
  PrimitiveMultiList

Reimplemented from PrimitiveList.

Definition at line 43 of file PrimitiveMultiList.class.php.

References BasePrimitive::$default, Assert::isArray(), and Assert::isTrue().

Here is the call graph for this function:

## Member Data Documentation

PrimitiveMultiList::$selected = array()`[private]`

Definition at line 17 of file PrimitiveMultiList.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveMultiList.class.php